#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ChartSpots.VWAPChartSpots[] cacheVWAPChartSpots;

		
		public ChartSpots.VWAPChartSpots VWAPChartSpots(CSShared.Enums.Periodicities periodicity)
		{
			return VWAPChartSpots(Input, periodicity);
		}


		
		public ChartSpots.VWAPChartSpots VWAPChartSpots(ISeries<double> input, CSShared.Enums.Periodicities periodicity)
		{
			if (cacheVWAPChartSpots != null)
				for (int idx = 0; idx < cacheVWAPChartSpots.Length; idx++)
					if (cacheVWAPChartSpots[idx].Periodicity == periodicity && cacheVWAPChartSpots[idx].EqualsInput(input))
						return cacheVWAPChartSpots[idx];
			return CacheIndicator<ChartSpots.VWAPChartSpots>(new ChartSpots.VWAPChartSpots(){ Periodicity = periodicity }, input, ref cacheVWAPChartSpots);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ChartSpots.VWAPChartSpots VWAPChartSpots(CSShared.Enums.Periodicities periodicity)
		{
			return indicator.VWAPChartSpots(Input, periodicity);
		}


		
		public Indicators.ChartSpots.VWAPChartSpots VWAPChartSpots(ISeries<double> input , CSShared.Enums.Periodicities periodicity)
		{
			return indicator.VWAPChartSpots(input, periodicity);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ChartSpots.VWAPChartSpots VWAPChartSpots(CSShared.Enums.Periodicities periodicity)
		{
			return indicator.VWAPChartSpots(Input, periodicity);
		}


		
		public Indicators.ChartSpots.VWAPChartSpots VWAPChartSpots(ISeries<double> input , CSShared.Enums.Periodicities periodicity)
		{
			return indicator.VWAPChartSpots(input, periodicity);
		}

	}
}

#endregion
